#include<bits/stdc++.h>
using namespace std;
bool ktra(int a, int b, int c)
{
    bool kt=false;
    if(a+b>c)
    {
        if(a+c>b)
        {
            if(b+c>a)
            {
                kt=true;
            }
        }
    }
    return kt;
}
int main()
{
    freopen("bai2_18.inp","r",stdin);
    freopen("bai2_18.out","w",stdout);
    int64_t n;
    cin>>n;
    int64_t a[n+1];
    for(int64_t i=1;i<=n;i++)
    {
        cin>>a[i];
    }
    sort(a+1,a+n+1);
    int64_t r=0;
    int64_t k,b,c;
    for(int64_t i=1;i<=n-2;i++)
    {
        for(int64_t j=i+1;j<=n-1;j++)
        {
            for(int64_t y=j+1;y<=n;y++)
            {
                k=a[i];
                b=a[j];
                c=a[y];
                if(ktra(k,b,c))
                {
                    r++;
                }
            }
        }
    }
    cout<<r;
}
